<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: ariel.ortiz
  
@description Página principal del caso de uso CU-TV-0F-05 Revisar área asignada
    Pantalla que tiene el fin de descargar del SNC las áreas asignadas para capturar ofertas.
    
    La pantalla contiene un panel para mostrar los datos geográficos asociados a las ofertas
    Departamento, Municipio, Zona y Escala. Además de un Pick up list donde se seleccionan las áreas
    sobre las cuales se quiere imprimir o exportar un reporte.
    Al final la pantalla presenta tres botones con las opciones de  Exportar, exportar al
    dispositivo movil de captura, y mover proceso.
    
@cu CU-TV-0F-05
@version 2.0

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="../../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Revisar área asignada::.
    </ui:define>

    <ui:define name="content">
        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />

        <p:focus />

        <p:messages id="msgsRevisionAreaAsignada" showDetail="false"
                    globalOnly="false" />

        <h:form id="revisarAreaAsignadaForm">

            <p:fieldset>
                <legend>
                    <h:outputText value="Áreas Asignadas" styleClass="legendTitle" />
                </legend>

                <p:spacer height="10" width="0" />

                <p:panel>
                    <h:panelGrid id="datosPG" columns="2" cellspacing="7"
                                 columnClasses="colPequena, colGrande">

                        <h:outputLabel value="Departamento: "
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel
                            value="#{revisionAreaAsignada.departamentoSeleccionado.nombre}"
                            styleClass="outputTextStyle" />

                        <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />
                        <h:outputLabel
                            value="#{revisionAreaAsignada.municipioSeleccionado.nombre}"
                            styleClass="outputTextStyle" />

                        <h:outputLabel value="Zona: " styleClass="outputLabelStyle"
                                       rendered="#{not empty revisionAreaAsignada.zonaSeleccionada}" />
                        <h:outputLabel
                            value="#{revisionAreaAsignada.zonaSeleccionada.nombre}"
                            styleClass="outputTextStyle"
                            rendered="#{not empty revisionAreaAsignada.zonaSeleccionada}" />

                        <h:outputLabel value="Escala: " styleClass="outputLabelStyle" />
                        <p:selectOneMenu value="#{revisionAreaAsignada.valorEscala}"
                                         rendered="#{revisionAreaAsignada.isPredioRural}">
                            <p:ajax event="change" update="areasPickList"
                                    listener="#{revisionAreaAsignada.cambioValorEscala}" />
                            <f:selectItems value="#{revisionAreaAsignada.valorEscalaList}" />
                        </p:selectOneMenu>
                        <h:outputLabel value="#{revisionAreaAsignada.valorEscala}"
                                       rendered="#{!revisionAreaAsignada.isPredioRural}"
                                       styleClass="outputTextStyle" />
                    </h:panelGrid>
                </p:panel>

                <p:spacer height="10" width="0" />

                <h:panelGrid columns="1" cellspacing="7" style="margin: 0 auto;">
                    <p:pickList id="areasPickList"
                                value="#{revisionAreaAsignada.dualAreasAsignadas}"
                                var="areasAsignar" itemLabel="#{areasAsignar}"
                                itemValue="#{areasAsignar}">
                        <f:facet name="sourceCaption">Planchas intersectadas</f:facet>
                        <f:facet name="targetCaption">Planchas seleccionadas</f:facet>
                    </p:pickList>

                </h:panelGrid>

                <p:spacer height="5" width="0" />
                <h:panelGrid columns="4" cellspacing="7" style="margin: 0 auto;">
                    <p:commandButton id="cargarVisor" widgetVar="cargarVisorWV"
                                     value="Ver áreas" immediate="true" icon="ui-icon-image"
                                     onclick="cargarMapaZoomToFeature('#{revisionAreaAsignada.applicationClientName}',
                                                     '#{revisionAreaAsignada.tokenParam}',
                                                     '#{revisionAreaAsignada.moduleLayer}',
                                                     '#{revisionAreaAsignada.moduleTools}',
                                                     '#{revisionAreaAsignada.listaManzanasGIS}');"
                                     disabled="#{!revisionAreaAsignada.banderaHabilitarComponenteGeografico}" />
                    <p:commandButton value="Exportar plancha" id="botonExporta"
                                     icon="ui-icon-disk" disabled="true" />
                    <p:commandButton value="Descargar DMC" id="botonDescargaDMC"
                                     icon="ui-icon-circle-arrow-s" disabled="true" />
                    <p:commandButton value="Mover proceso" id="botonMoverProceso"
                                     action="#{revisionAreaAsignada.moverProceso}"
                                     onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                     icon="ui-icon-circle-arrow-e"
                                     update=":msgsRevisionAreaAsignada,
                                     :revisarAreaAsignadaForm"
                                     disabled="#{revisionAreaAsignada.banderaProcesoMovido}" />
                </h:panelGrid>
            </p:fieldset>

            <p:separator style="width:925px;height:3px" />

            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar" icon="ui-icon-circle-close"
                                 action="#{revisionAreaAsignada.cerrar}" ajax="false"
                                 immediate="true" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />

        </h:form>

        <ui:include src="/util/visorGeografico.xhtml" />

    </ui:define>
</ui:composition>